[arch-commits] Commit in dhcp/repos (3 files)

Daniel Isenmann daniel at archlinux.org
Sun Jan 17 09:54:01 EST 2010


    Date: Sunday, January 17, 2010 @ 09:54:01
  Author: daniel
Revision: 63453

Merged revisions 53791,63447 via svnmerge from 
svn+ssh://daniel@gerolde.archlinux.org/srv/svn-packages/dhcp/trunk

........
  r53791 | roman | 2009-10-03 12:36:02 +0200 (Sat, 03 Oct 2009) | 3 lines
  
  Fixed install file
........
  r63447 | daniel | 2010-01-17 15:53:08 +0100 (Sun, 17 Jan 2010) | 2 lines
  
  upgpkg: dhcp 4.1.0.p1-2
      Merged PKGBUILD from dhclient and dhcp. Push dchlient to newest version.
........

Modified:
  dhcp/repos/extra-x86_64/	(properties)
  dhcp/repos/extra-x86_64/PKGBUILD
  dhcp/repos/extra-x86_64/dhcp.install

--------------+
 PKGBUILD     |   58 +++++++++++++++++++++++++++++++++++++++++++--------------
 dhcp.install |    6 -----
 2 files changed, 45 insertions(+), 19 deletions(-)


Property changes on: dhcp/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /dhcp/trunk:1-51490
   + /dhcp/trunk:1-63447

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2010-01-17 14:53:54 UTC (rev 63452)
+++ extra-x86_64/PKGBUILD	2010-01-17 14:54:01 UTC (rev 63453)
@@ -1,21 +1,22 @@
 # $Id$
 # Maintainer: judd <jvinet at zeroflux.org>
-pkgname=dhcp
+pkgbase=dhcp
+pkgname=('dhcp'
+         'dhclient')
 # separate patch levels with a period to maintain proper versioning.
 pkgver=4.1.0.p1
 _pkgver=4.1.0p1
-pkgrel=1
-pkgdesc="A DHCP server, client, and relay agent"
+pkgrel=2
 arch=('i686' 'x86_64')
 license=('custom:isc-dhcp')
 url="https://www.isc.org/software/dhcp"
-depends=('openssl>=0.9.8a')
-backup=('etc/dhcpd.conf' 'etc/conf.d/dhcp')
-install=dhcp.install
 source=(http://ftp.isc.org/isc/${pkgname}/${pkgname}-${_pkgver}.tar.gz
-dhcpd dhcp.conf.d dhcp-4.1.0-missing-ipv6-not-fatal.patch)
-md5sums=('325ff8338c5a21f89d5304ac13ffebdf' 'df22cffa7d7415ece7bb025b7bf774dd'
-         '49da3192e5c885e3c7d02f447c2dea5e' '463fe58e8ba594b1946d77f685f9f5f5')
+dhcpd dhcp.conf.d dhcp-4.1.0-missing-ipv6-not-fatal.patch dhclient-script-pathFixes.patch)
+md5sums=('325ff8338c5a21f89d5304ac13ffebdf'
+         'df22cffa7d7415ece7bb025b7bf774dd'
+         '49da3192e5c885e3c7d02f447c2dea5e'
+         'edf327eabb82e54b1e9d80b2750134ed'
+         '4dbce386a6cb4fd7c8cebd4fb432b5db')
 
 build() {
   cd ${srcdir}/${pkgname}-${_pkgver}
@@ -27,17 +28,46 @@
       --with-srv-lease-file=/var/state/dhcp/dhcpd.leases \
       --with-srv6-lease-file=/var/state/dhcp/dhcpd6.leases
   make || return 1
+}
+
+package_dhcp(){
+  pkgdesc="A DHCP server, client, and relay agent"
+  depends=('openssl>=0.9.8a')
+  backup=('etc/dhcpd.conf' 'etc/conf.d/dhcp')
+  install=dhcp.install
+  
+  cd ${srcdir}/${pkgname}-${_pkgver}
   make DESTDIR=${pkgdir} install
-
   install -D -m755 ${srcdir}/dhcpd ${pkgdir}/etc/rc.d/dhcpd
-  install -D -m644 ${srcdir}/dhcp.conf.d ${pkgdir}/etc/conf.d/${pkgname}
+  install -D -m644 ${srcdir}/dhcp.conf.d ${pkgdir}/etc/conf.d/${pkgbase}
   mkdir -p ${pkgdir}/var/state/dhcp
   rm -f ${pkgdir}/etc/dhclient.conf
   rm -f ${pkgdir}/usr/sbin/dhclient
   rm -f ${pkgdir}/usr/share/man/man{5,8}/dhclient*
+  
   # install licenses
-  install -m644 -D ${srcdir}/${pkgname}-${_pkgver}/LICENSE \
+  install -m644 -D ${srcdir}/${pkgbase}-${_pkgver}/LICENSE \
                    ${pkgdir}/usr/share/licenses/dhcp/LICENSE
 }
-md5sums=('325ff8338c5a21f89d5304ac13ffebdf' 'df22cffa7d7415ece7bb025b7bf774dd'
-         '49da3192e5c885e3c7d02f447c2dea5e' 'edf327eabb82e54b1e9d80b2750134ed')
+
+package_dhclient(){
+  
+  pkgdesc="dhclient is standalone client from the dhcp package"
+  depends=('bash')
+
+  cd ${srcdir}/${pkgname}-${_pkgver}/client/scripts
+  patch -Np1 -i ${srcdir}/dhclient-script-pathFixes.patch linux || return 1
+  cd ${srcdir}/${pkgname}-${_pkgver}/client
+  make DESTDIR=${pkgdir} install
+  install -m755 -d ${startdir}/pkg/var/lib/dhclient
+
+  #not needed after fresh install
+  rm -f ${pkgdir}/var/lib/dhclient/dhcpd.leases
+
+  # install dhclient linux script
+  install -m755 -D ${srcdir}/${pkgname}-${_pkgver}/client/scripts/linux \
+                   ${pkgdir}/etc/dhclient-script
+  # install licenses
+  install -m644 -D ${srcdir}/${pkgname}-${_pkgver}/LICENSE \
+                   ${pkgdir}/usr/share/licenses/dhclient/LICENSE
+}

Modified: extra-x86_64/dhcp.install
===================================================================
--- extra-x86_64/dhcp.install	2010-01-17 14:53:54 UTC (rev 63452)
+++ extra-x86_64/dhcp.install	2010-01-17 14:54:01 UTC (rev 63453)
@@ -1,7 +1,7 @@
 # arg 1:  the new package version
 post_install() {
   [ -f var/state/dhcp/dhcpd.leases ] || : >var/state/dhcp/dhcpd.leases
-  echo "If dhcpd doesn' start ensure the ipv6 kernel module is loaded."
+  echo "If dhcpd doesn't start, ensure the ipv6 kernel module is loaded."
 }
 
 # arg 1:  the new package version
@@ -9,7 +9,3 @@
 post_upgrade() {
   post_install $1
 }
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list